# Interface GenericBase.Builder<T, B extends GenericBase.Builder<T,B>>

All Known Implementing Classes:
  `AddressGenericBase.Builder, DoubleGeneric.Builder`

Enclosing class:
  `GenericBase<T>`

public static interface GenericBase.Builder<T, B extends GenericBase.Builder<T,B>>

## Method Summary

Modifier and Type
Method
Description
`B`
`collection(List<T> collection)`
`B`
`generic(T generic)`
`B`
`notGeneric(String notGeneric)`

## Method Details

### generic

B generic(T generic)

### notGeneric

B notGeneric(String notGeneric)

### collection

B collection(List<T> collection)